Transactions & ReportingTransactions

List Transactions

GET
/v1/transactions

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

dataSource?string

Retrieve only transactions from this data source.

transactionDate?string

Retrieve only transactions with this value date, in the format YYYY-MM-DD.

Formatdate
statementId?string

Retrieve only transactions associated with this Statement.

internalAccountId?string

Retrieve only transactions belonging to this Internal Account.

currency?string

Retrieve only transactions with this currency. Specify a three-letter ISO 4217 currency code in full uppercase.

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"
format?string

Response format. Defaults to the standard Acme format.

Value in

  • "ACME"
  • "NETSUITE"

Response Body

*/*

application/json

application/json

curl -X GET "https://example.com/v1/transactions"
{
  "data": [
    {
      "additionalInformation": "string",
      "amount": 0,
      "bankAccount": {
        "bank": "string",
        "bankAccountNumber": "string",
        "id": "string"
      },
      "bankReference": "string",
      "bookingDate": {
        "date": "string",
        "offset": "string",
        "time": "string",
        "tz": "string"
      },
      "counterparty": {
        "bank": "string",
        "bankAccountNumber": "string",
        "bankName": "string",
        "localRoutingIdentifier": "string",
        "name": "string"
      },
      "createdAt": "string",
      "currency": "string",
      "currencyExchange": {
        "exchangeRate": "string",
        "sourceCurrency": "string",
        "targetCurrency": "string"
      },
      "customerReference": "string",
      "dataSource": "string",
      "description": "string",
      "direction": "string",
      "id": "string",
      "remittanceInformation": "string",
      "statementId": "string",
      "transactionDate": "string",
      "transactionReferences": [
        {
          "dataSource": "string",
          "name": "string",
          "value": "string"
        }
      ],
      "transactionStatus": "string",
      "transactionType": "string",
      "updatedAt": "string",
      "virtualAccountNumber": "string"
    }
  ],
  "hasMore": true
}